MyGUI::IPointer Class Referenceabstract

`#include <MyGUI_IPointer.h>`

Inheritance diagram for MyGUI::IPointer:
[legend]

## Public Types

typedef RTTIBase | Base
typedef IPointer | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
virtual void | setImage (ImageBox *_image)=0
virtual void | setPosition (ImageBox *_image, const IntPoint &_point)=0
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members

Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
void | deserialization (xml::ElementPtr _node, Version) override
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 16 of file MyGUI_IPointer.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::IPointer::Base

Definition at line 18 of file MyGUI_IPointer.h.

## RTTIBase

typedef IPointer MyGUI::IPointer::RTTIBase

Definition at line 18 of file MyGUI_IPointer.h.

## Member Function Documentation

## getClassTypeName()

std::string_view MyGUI::IPointer::getClassTypeName | ( |  | ) |

inline static

Definition at line 18 of file MyGUI_IPointer.h.

## getTypeName()

virtual std::string_view MyGUI::IPointer::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

Definition at line 18 of file MyGUI_IPointer.h.

## isType() [1/2]

template<typename Type>

bool MyGUI::IPointer::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 18 of file MyGUI_IPointer.h.

## isType() [2/2]

virtual bool MyGUI::IPointer::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Reimplemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

Definition at line 18 of file MyGUI_IPointer.h.

## setImage()

virtual void MyGUI::IPointer::setImage | ( | ImageBox * | _image | ) |

pure virtual

Implemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

## setPosition()

virtual void MyGUI::IPointer::setPosition | ( | ImageBox * | _image,
|  | const IntPoint & | _point )

pure virtual

Implemented in MyGUI::ResourceImageSetPointer, and MyGUI::ResourceManualPointer.

The documentation for this class was generated from the following file:

- MyGUI_IPointer.h